import Link from "next/link";

type ButtonProps = {
  title: string;
  url: string;
};

export function RedirectButton({ title, url }: ButtonProps) {
  return (
    <div className="w-fit rounded-lg">
      <Link href={url} target="_blank">
        <p className="hover:text-primary transition-all">{title}</p>
      </Link>
    </div>
  );
}
